import numpy as np

vecteur_1 = np.array([[1,2,3,4],[5,6,7,8]], dtype='int16')
vecteur_2 = np.array([[1,2,3,4],[5,6,7,8]], dtype='int32')
vecteur_3 = np.array([[1,2,3,4],[5,6,7,8]], dtype='float')

print(f"- Le type de vecteur_1 = {type(vecteur_1)}\n" 
     +f"- Le type de vecteur_2 = {type(vecteur_2)}\n" 
     +f"- Le type de vecteur_3 = {type(vecteur_3)}\n")

print(f"- Le type des éléments de vecteur_1 = {vecteur_1.dtype}\n" 
     +f"- Le type des éléments de vecteur_2 = {vecteur_2.dtype}\n"
     +f"- Le type des éléments de vecteur_3 = {vecteur_3.dtype}\n")
     
print(f"- Taille de chaque élément de vecteur_1 = {vecteur_1.itemsize} octets\n"
     +f"- Taille de chaque élément de vecteur_2 = {vecteur_2.itemsize} octets\n"
     +f"- Taille de chaque élément de vecteur_3 = {vecteur_3.itemsize} octets\n")
     
print(f"- Nombre d'éléments dans vecteur_1 = {vecteur_1.size}\n"
     +f"- Nombre d'éléments dans vecteur_2 = {vecteur_2.size}\n"
     +f"- Nombre d'éléments dans vecteur_3 = {vecteur_3.size}\n")

print(f"- Taille totale de vecteur_1 = {vecteur_1.nbytes} octets\n"
     +f"- Taille totale de vecteur_2 = {vecteur_2.nbytes} octets\n"
     +f"- Taille totale de vecteur_3 = {vecteur_3.nbytes} octets")
     +f"- Taille totale de vecteur_3 = {vecteur_3.nbytes} octets")